<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/RockBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d89/_rock_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">RockBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d89/_rock_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d6f/class_rock_base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>: <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d6f/class_rock_base.html#ae54cfc564212c6f5d695a2db36033751">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d6f/class_rock_base.html#ae54cfc564212c6f5d695a2db36033751">IsRock</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">    8</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">GetAmountOfDrops</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">if</span> (item)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <span class="keywordflow">switch</span> (item.GetType())</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Pickaxe&quot;</span>:</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                <span class="keywordflow">return</span> 4;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;SledgeHammer&quot;</span>:</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>                <span class="keywordflow">return</span> 8;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }   </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">/* Defines the yield of the action*/</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">GetMaterialAndQuantityMap</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a> output_map)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (item == null)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">switch</span> (item.GetType())</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;Pickaxe&quot;</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;SledgeHammer&quot;</span>:</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;Hammer&quot;</span>:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            output_map.Insert(<span class="stringliteral">&quot;Stone&quot;</span>,1);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;PipeWrench&quot;</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;Wrench&quot;</span>:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;Screwdriver&quot;</span>:</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;Crowbar&quot;</span>:</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">case</span> <span class="stringliteral">&quot;MeatTenderizer&quot;</span>:</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            output_map.Insert(<span class="stringliteral">&quot;SmallStone&quot;</span>,1);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">/*Return value defines how much damage the item will take*/</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">   50</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">GetDamageToMiningItemEachDrop</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> (item)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">switch</span> (item.GetType())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;SledgeHammer&quot;</span>:</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Pickaxe&quot;</span>:</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                <span class="keywordflow">return</span> 20;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Wrench&quot;</span>:</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Screwdriver&quot;</span>:</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;MeatTenderizer&quot;</span>:</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                <span class="keywordflow">return</span> 25;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;PipeWrench&quot;</span>:</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Crowbar&quot;</span>:</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <span class="keywordflow">return</span> 50;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">case</span> <span class="stringliteral">&quot;Hammer&quot;</span>:</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="keywordflow">return</span> 40;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> 25;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>};</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d9/dcb/class_static__stone1.html">   75</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d9/dcb/class_static__stone1.html">Static_stone1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d6/d93/class_static__stone2.html">   76</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d6/d93/class_static__stone2.html">Static_stone2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../dc/deb/class_static__stone3.html">   77</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/deb/class_static__stone3.html">Static_stone3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../dd/d08/class_static__stone4.html">   78</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dd/d08/class_static__stone4.html">Static_stone4</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d7/dbc/class_static__stone5.html">   79</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d7/dbc/class_static__stone5.html">Static_stone5</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../de/d37/class_static__rock__apart1.html">   80</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../de/d37/class_static__rock__apart1.html">Static_rock_apart1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../db/d1e/class_static__rock__apart2.html">   81</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../db/d1e/class_static__rock__apart2.html">Static_rock_apart2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d1/d47/class_static__rock__bright__apart1.html">   82</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d1/d47/class_static__rock__bright__apart1.html">Static_rock_bright_apart1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../d5/d1f/class_static__rock__bright__apart2.html">   83</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d5/d1f/class_static__rock__bright__apart2.html">Static_rock_bright_apart2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../dc/d25/class_static__rock__bright__monolith1.html">   84</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/d25/class_static__rock__bright__monolith1.html">Static_rock_bright_monolith1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../df/d3c/class_static__rock__bright__monolith2.html">   85</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../df/d3c/class_static__rock__bright__monolith2.html">Static_rock_bright_monolith2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d5/d7a/class_static__rock__bright__monolith3.html">   86</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d5/d7a/class_static__rock__bright__monolith3.html">Static_rock_bright_monolith3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d9/d71/class_static__rock__bright__monolith4.html">   87</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d9/d71/class_static__rock__bright__monolith4.html">Static_rock_bright_monolith4</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../dc/deb/class_static__rock__bright__spike1.html">   88</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/deb/class_static__rock__bright__spike1.html">Static_rock_bright_spike1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../dd/db7/class_static__rock__bright__spike2.html">   89</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dd/db7/class_static__rock__bright__spike2.html">Static_rock_bright_spike2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d1/d04/class_static__rock__bright__spike3.html">   90</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d1/d04/class_static__rock__bright__spike3.html">Static_rock_bright_spike3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d7/d89/class_static__rock__bright__wallh1.html">   91</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d7/d89/class_static__rock__bright__wallh1.html">Static_rock_bright_wallh1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../de/dfd/class_static__rock__bright__wallh2.html">   92</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../de/dfd/class_static__rock__bright__wallh2.html">Static_rock_bright_wallh2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d4/d9c/class_static__rock__bright__wallh3.html">   93</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d4/d9c/class_static__rock__bright__wallh3.html">Static_rock_bright_wallh3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d9/dd2/class_static__rock__bright__wallv.html">   94</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d9/dd2/class_static__rock__bright__wallv.html">Static_rock_bright_wallv</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="../../dc/dba/class_static__rock__monolith1.html">   95</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/dba/class_static__rock__monolith1.html">Static_rock_monolith1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../dd/dd7/class_static__rock__monolith2.html">   96</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dd/dd7/class_static__rock__monolith2.html">Static_rock_monolith2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../dd/db6/class_static__rock__monolith3.html">   97</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dd/db6/class_static__rock__monolith3.html">Static_rock_monolith3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../dc/d13/class_static__rock__monolith4.html">   98</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/d13/class_static__rock__monolith4.html">Static_rock_monolith4</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d1/db8/class_static__rock__spike1.html">   99</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d1/db8/class_static__rock__spike1.html">Static_rock_spike1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../df/d12/class_static__rock__spike2.html">  100</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../df/d12/class_static__rock__spike2.html">Static_rock_spike2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d6/df8/class_static__rock__spike3.html">  101</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d6/df8/class_static__rock__spike3.html">Static_rock_spike3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d4/d88/class_static__rock__wallh1.html">  102</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d4/d88/class_static__rock__wallh1.html">Static_rock_wallh1</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../dc/d58/class_static__rock__wallh2.html">  103</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/d58/class_static__rock__wallh2.html">Static_rock_wallh2</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d1/ded/class_static__rock__wallh3.html">  104</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d1/ded/class_static__rock__wallh3.html">Static_rock_wallh3</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d8/dbd/class_static__rock__wallv.html">  105</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d8/dbd/class_static__rock__wallv.html">Static_rock_wallv</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a> {};</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d3/de2/class_static__rock__stone6.html">  106</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d3/de2/class_static__rock__stone6.html">Static_rock_stone6</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../da/de4/class_static__rock__stone6__moss.html">  107</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../da/de4/class_static__rock__stone6__moss.html">Static_rock_stone6_moss</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../da/dc6/class_static__rock__stone7.html">  108</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../da/dc6/class_static__rock__stone7.html">Static_rock_stone7</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d0/d16/class_static__rock__stone7__moss.html">  109</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d0/d16/class_static__rock__stone7__moss.html">Static_rock_stone7_moss</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d2/dbe/class_static__rock__stone8.html">  110</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d2/dbe/class_static__rock__stone8.html">Static_rock_stone8</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../df/d35/class_static__rock__stone8__moss.html">  111</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../df/d35/class_static__rock__stone8__moss.html">Static_rock_stone8_moss</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d3/db7/class_static__rock__stone9.html">  112</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d3/db7/class_static__rock__stone9.html">Static_rock_stone9</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../d7/de6/class_static__rock__stone9__moss.html">  113</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d7/de6/class_static__rock__stone9__moss.html">Static_rock_stone9_moss</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d8/d16/class_static__rock__stone10.html">  114</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d8/d16/class_static__rock__stone10.html">Static_rock_stone10</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../dc/dfd/class_static__rock__stone10__moss.html">  115</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../dc/dfd/class_static__rock__stone10__moss.html">Static_rock_stone10_moss</a>: <a class="code hl_class" href="../../db/d6f/class_rock_base.html">RockBase</a>{};</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span><span class="comment">//  currently unused rocks</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="comment">/*</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span><span class="comment">    </span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="comment">    class Static_stone5_Trail_B: RockBase {};</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span><span class="comment">    class Static_stone5_Trail_G: RockBase {};</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="comment">    class Static_stone5_Trail_R: RockBase {};</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="comment">    class Static_stone5_Trail_Y: RockBase {};</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">    class Static_stones_erosion: RockBase {};</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment">*/</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="comment">//jtomasik - it would be blast being able just to inherit it from RockBase, but the way static objects are handled most likely don&#39;t allow it? ask p cimo</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="comment">// obsolete</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span><span class="comment">/*class Static_r2_boulder1: RockBase</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span><span class="comment">{</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span><span class="comment">};</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="comment">class Static_r2_boulder2: RockBase</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment">{</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="comment">};</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="comment">class Static_small_stone_01_f: RockBase</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span><span class="comment">{</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="comment">};</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment">class Static_small_stone_02_f: RockBase</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment">{</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment">};</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="comment">class Static_stone_small_f: RockBase</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="comment">{</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="comment">};</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="comment">class Static_stone_small_w: RockBase</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="comment">{</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><span class="comment">};</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span><span class="comment">class Static_bluntstone_01: RockBase</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span><span class="comment">{</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span><span class="comment">};</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span><span class="comment">class Static_bluntstone_01_lc: RockBase</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="comment">{</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment">};</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">class Static_bluntstone_02: RockBase</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment">{</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="comment">};</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="comment">class Static_bluntstone_02_lc: RockBase</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="comment">{</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="comment">};</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="comment">class Static_bluntstone_03: RockBase</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="comment">{</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="comment">};</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span><span class="comment">class Static_SharpStone_01: RockBase</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment">{</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">};</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="comment">class Static_sharpstone_01_lc: RockBase</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span><span class="comment">{</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="comment">};</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span><span class="comment">class Static_sharpstone_02: RockBase</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="comment">{</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="comment">};</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="comment">class Static_sharpstone_02_lc: RockBase</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span><span class="comment">{</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="comment">};</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span><span class="comment">class Static_sharpstone_03: RockBase</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span><span class="comment">{</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="comment">};</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="comment">class Static_sharpstone_03_lc: RockBase</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span><span class="comment">{</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span><span class="comment">};*/</span></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_rock_base_html"><div class="ttname"><a href="../../db/d6f/class_rock_base.html">RockBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00001">RockBase.c:2</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a1506d8b01c2632ec95d364d3859a218f"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">RockBase::GetDamageToMiningItemEachDrop</a></div><div class="ttdeci">float GetDamageToMiningItemEachDrop(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00050">RockBase.c:50</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a333ee79d986ec85bec5ed5ef373c168c"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">RockBase::GetAmountOfDrops</a></div><div class="ttdeci">int GetAmountOfDrops(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00008">RockBase.c:8</a></div></div>
<div class="ttc" id="aclass_rock_base_html_a9384ccef40ac89bd3fa831fbd1cfb775"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">RockBase::GetMaterialAndQuantityMap</a></div><div class="ttdeci">void GetMaterialAndQuantityMap(ItemBase item, out map&lt; string, int &gt; output_map)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00025">RockBase.c:25</a></div></div>
<div class="ttc" id="aclass_rock_base_html_ae54cfc564212c6f5d695a2db36033751"><div class="ttname"><a href="../../db/d6f/class_rock_base.html#ae54cfc564212c6f5d695a2db36033751">RockBase::IsRock</a></div><div class="ttdeci">override bool IsRock()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00003">RockBase.c:3</a></div></div>
<div class="ttc" id="aclass_static__rock__apart1_html"><div class="ttname"><a href="../../de/d37/class_static__rock__apart1.html">Static_rock_apart1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00080">RockBase.c:80</a></div></div>
<div class="ttc" id="aclass_static__rock__apart2_html"><div class="ttname"><a href="../../db/d1e/class_static__rock__apart2.html">Static_rock_apart2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00081">RockBase.c:81</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__apart1_html"><div class="ttname"><a href="../../d1/d47/class_static__rock__bright__apart1.html">Static_rock_bright_apart1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00082">RockBase.c:82</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__apart2_html"><div class="ttname"><a href="../../d5/d1f/class_static__rock__bright__apart2.html">Static_rock_bright_apart2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00083">RockBase.c:83</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__monolith1_html"><div class="ttname"><a href="../../dc/d25/class_static__rock__bright__monolith1.html">Static_rock_bright_monolith1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00084">RockBase.c:84</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__monolith2_html"><div class="ttname"><a href="../../df/d3c/class_static__rock__bright__monolith2.html">Static_rock_bright_monolith2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00085">RockBase.c:85</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__monolith3_html"><div class="ttname"><a href="../../d5/d7a/class_static__rock__bright__monolith3.html">Static_rock_bright_monolith3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00086">RockBase.c:86</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__monolith4_html"><div class="ttname"><a href="../../d9/d71/class_static__rock__bright__monolith4.html">Static_rock_bright_monolith4</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00087">RockBase.c:87</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__spike1_html"><div class="ttname"><a href="../../dc/deb/class_static__rock__bright__spike1.html">Static_rock_bright_spike1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00088">RockBase.c:88</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__spike2_html"><div class="ttname"><a href="../../dd/db7/class_static__rock__bright__spike2.html">Static_rock_bright_spike2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00089">RockBase.c:89</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__spike3_html"><div class="ttname"><a href="../../d1/d04/class_static__rock__bright__spike3.html">Static_rock_bright_spike3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00090">RockBase.c:90</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__wallh1_html"><div class="ttname"><a href="../../d7/d89/class_static__rock__bright__wallh1.html">Static_rock_bright_wallh1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00091">RockBase.c:91</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__wallh2_html"><div class="ttname"><a href="../../de/dfd/class_static__rock__bright__wallh2.html">Static_rock_bright_wallh2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00092">RockBase.c:92</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__wallh3_html"><div class="ttname"><a href="../../d4/d9c/class_static__rock__bright__wallh3.html">Static_rock_bright_wallh3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00093">RockBase.c:93</a></div></div>
<div class="ttc" id="aclass_static__rock__bright__wallv_html"><div class="ttname"><a href="../../d9/dd2/class_static__rock__bright__wallv.html">Static_rock_bright_wallv</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00094">RockBase.c:94</a></div></div>
<div class="ttc" id="aclass_static__rock__monolith1_html"><div class="ttname"><a href="../../dc/dba/class_static__rock__monolith1.html">Static_rock_monolith1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00095">RockBase.c:95</a></div></div>
<div class="ttc" id="aclass_static__rock__monolith2_html"><div class="ttname"><a href="../../dd/dd7/class_static__rock__monolith2.html">Static_rock_monolith2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00096">RockBase.c:96</a></div></div>
<div class="ttc" id="aclass_static__rock__monolith3_html"><div class="ttname"><a href="../../dd/db6/class_static__rock__monolith3.html">Static_rock_monolith3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00097">RockBase.c:97</a></div></div>
<div class="ttc" id="aclass_static__rock__monolith4_html"><div class="ttname"><a href="../../dc/d13/class_static__rock__monolith4.html">Static_rock_monolith4</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00098">RockBase.c:98</a></div></div>
<div class="ttc" id="aclass_static__rock__spike1_html"><div class="ttname"><a href="../../d1/db8/class_static__rock__spike1.html">Static_rock_spike1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00099">RockBase.c:99</a></div></div>
<div class="ttc" id="aclass_static__rock__spike2_html"><div class="ttname"><a href="../../df/d12/class_static__rock__spike2.html">Static_rock_spike2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00100">RockBase.c:100</a></div></div>
<div class="ttc" id="aclass_static__rock__spike3_html"><div class="ttname"><a href="../../d6/df8/class_static__rock__spike3.html">Static_rock_spike3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00101">RockBase.c:101</a></div></div>
<div class="ttc" id="aclass_static__rock__stone10__moss_html"><div class="ttname"><a href="../../dc/dfd/class_static__rock__stone10__moss.html">Static_rock_stone10_moss</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00115">RockBase.c:115</a></div></div>
<div class="ttc" id="aclass_static__rock__stone10_html"><div class="ttname"><a href="../../d8/d16/class_static__rock__stone10.html">Static_rock_stone10</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00114">RockBase.c:114</a></div></div>
<div class="ttc" id="aclass_static__rock__stone6__moss_html"><div class="ttname"><a href="../../da/de4/class_static__rock__stone6__moss.html">Static_rock_stone6_moss</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00107">RockBase.c:107</a></div></div>
<div class="ttc" id="aclass_static__rock__stone6_html"><div class="ttname"><a href="../../d3/de2/class_static__rock__stone6.html">Static_rock_stone6</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00106">RockBase.c:106</a></div></div>
<div class="ttc" id="aclass_static__rock__stone7__moss_html"><div class="ttname"><a href="../../d0/d16/class_static__rock__stone7__moss.html">Static_rock_stone7_moss</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00109">RockBase.c:109</a></div></div>
<div class="ttc" id="aclass_static__rock__stone7_html"><div class="ttname"><a href="../../da/dc6/class_static__rock__stone7.html">Static_rock_stone7</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00108">RockBase.c:108</a></div></div>
<div class="ttc" id="aclass_static__rock__stone8__moss_html"><div class="ttname"><a href="../../df/d35/class_static__rock__stone8__moss.html">Static_rock_stone8_moss</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00111">RockBase.c:111</a></div></div>
<div class="ttc" id="aclass_static__rock__stone8_html"><div class="ttname"><a href="../../d2/dbe/class_static__rock__stone8.html">Static_rock_stone8</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00110">RockBase.c:110</a></div></div>
<div class="ttc" id="aclass_static__rock__stone9__moss_html"><div class="ttname"><a href="../../d7/de6/class_static__rock__stone9__moss.html">Static_rock_stone9_moss</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00113">RockBase.c:113</a></div></div>
<div class="ttc" id="aclass_static__rock__stone9_html"><div class="ttname"><a href="../../d3/db7/class_static__rock__stone9.html">Static_rock_stone9</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00112">RockBase.c:112</a></div></div>
<div class="ttc" id="aclass_static__rock__wallh1_html"><div class="ttname"><a href="../../d4/d88/class_static__rock__wallh1.html">Static_rock_wallh1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00102">RockBase.c:102</a></div></div>
<div class="ttc" id="aclass_static__rock__wallh2_html"><div class="ttname"><a href="../../dc/d58/class_static__rock__wallh2.html">Static_rock_wallh2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00103">RockBase.c:103</a></div></div>
<div class="ttc" id="aclass_static__rock__wallh3_html"><div class="ttname"><a href="../../d1/ded/class_static__rock__wallh3.html">Static_rock_wallh3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00104">RockBase.c:104</a></div></div>
<div class="ttc" id="aclass_static__rock__wallv_html"><div class="ttname"><a href="../../d8/dbd/class_static__rock__wallv.html">Static_rock_wallv</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00105">RockBase.c:105</a></div></div>
<div class="ttc" id="aclass_static__stone1_html"><div class="ttname"><a href="../../d9/dcb/class_static__stone1.html">Static_stone1</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00075">RockBase.c:75</a></div></div>
<div class="ttc" id="aclass_static__stone2_html"><div class="ttname"><a href="../../d6/d93/class_static__stone2.html">Static_stone2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00076">RockBase.c:76</a></div></div>
<div class="ttc" id="aclass_static__stone3_html"><div class="ttname"><a href="../../dc/deb/class_static__stone3.html">Static_stone3</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00077">RockBase.c:77</a></div></div>
<div class="ttc" id="aclass_static__stone4_html"><div class="ttname"><a href="../../dd/d08/class_static__stone4.html">Static_stone4</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00078">RockBase.c:78</a></div></div>
<div class="ttc" id="aclass_static__stone5_html"><div class="ttname"><a href="../../d7/dbc/class_static__stone5.html">Static_stone5</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d89/_rock_base_8c_source.html#l00079">RockBase.c:79</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../d0/d89/_rock_base_8c.html">RockBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
